Q_GETFMT(2const)

NAME
Q_GETFMT - get quota format

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <sys/quota.h>

int quotactl(QCMD(Q_GETFMT, type), const char *_Nullable special, int id,
             caddr_t addr);

#include <sys/quota.h>    /* Definition of Q_* constants */
#include <sys/syscall.h>  /* Definition of SYS_* constants */
#include <unistd.h>

int syscall(SYS_quotactl_fd, int fd, QCMD(Q_GETFMT, type), int id,
            int32_t *addr);

DESCRIPTION
Get quota format used on the specified filesystem.

The addr argument should be a pointer to a 4-byte buffer where the format number will be stored.

RETURN VALUE
See quotactl(2).

ERRORS
See quotactl(2).

STANDARDS
Linux.

HISTORY
Linux 2.4.22.

SEE ALSO
quotactl(2), quotactl_fd(2), Q_QUOTAON(2const)